# Uses of Enum Class
java.lang.classfile.Signature.TypeArg.Bounded.WildcardIndicator

Packages that use Signature.TypeArg.Bounded.WildcardIndicator
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of Signature.TypeArg.Bounded.WildcardIndicator in java.lang.classfile

Subclasses with type arguments of type Signature.TypeArg.Bounded.WildcardIndicator in java.lang.classfile
Modifier and Type
Class
Description
`static enum`
`Signature.TypeArg.Bounded.WildcardIndicator`
Models a type argument's wildcard indicator.
Methods in java.lang.classfile that return Signature.TypeArg.Bounded.WildcardIndicator
Modifier and Type
Method
Description
`static Signature.TypeArg.Bounded.WildcardIndicator`
Signature.TypeArg.Bounded.WildcardIndicator.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Signature.TypeArg.Bounded.WildcardIndicator[]`
Signature.TypeArg.Bounded.WildcardIndicator.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
`Signature.TypeArg.Bounded.WildcardIndicator`
Signature.TypeArg.Bounded.`wildcardIndicator()`
Returns the kind of wildcard.
Methods in java.lang.classfile with parameters of type Signature.TypeArg.Bounded.WildcardIndicator
Modifier and Type
Method
Description
`static Signature.TypeArg.Bounded`
Signature.TypeArg.`bounded(Signature.TypeArg.Bounded.WildcardIndicator wildcard, Signature.RefTypeSig boundType)`
Returns a bounded type argument.